# @billogram/foundation-header

> React header components

## Install

```
yarn add @billogram/foundation-header
```

## Usage

```tsx
import {
    FoundationHeader,
    FoundationHeaderItem,
} from '@billogram/foundation-header';
```

See [types](src/types.ts) for exported types.

### [`FoundationHeader`](src/FoundationHeader.tsx)

```tsx
<div id="foundation-header-portal-root"></div>
<FoundationHeader
    Placeholder={ () => (
        <React.Fragment>
            <FoundationHeaderItem
                ui="fat" />
            <FoundationHeaderItem
                ui="fat" />
        </React.Fragment>
    ) }>
    <FoundationHeaderItem
        ui="fat">
        ...        
    </FoundationHeaderItem>
    <FoundationHeaderItem
        ui="fat">
        ...
    </FoundationHeaderItem>
</FoundationHeader>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
