import React from 'react';
import purebem from 'purebem';
import FoundationHeaderPlaceholder from './FoundationHeaderPlaceholder';
import './FoundationHeader.scss';
export default function FoundationHeader(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      Placeholder = _ref.Placeholder;
  var block = purebem('foundation-header');
  return React.createElement("div", {
    className: block()
  }, React.createElement(FoundationHeaderPlaceholder, {
    Placeholder: Placeholder
  }), children);
}
//# sourceMappingURL=FoundationHeader.js.map